/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/

/**
 * Datastore model.
 *
 * @since 3.19
 */
Ext.define('NX.proui.model.DatastoreConfiguration', {
  extend: 'Ext.data.Model',
  idProperty: 'name',
  fields: [
    {name: 'name', type: 'string', sortType: 'asUCText'},
    {name: 'type', type: 'string', sortType: 'asUCText'},
    {name: 'source', type: 'string', sortType: 'asUCText'},
    {name: 'attributes', type: 'auto' /*object*/, defaultValue: null },
    {name: 'isContentStore', type: 'boolean'},
    {name: 'inUse', type: 'boolean'}
  ]
});
