/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/

/**
 * Thin wrapper that just exposes modifiable data store sources
 *
 * @since 3.19
 */
Ext.define('NX.proui.store.ModifiableDatastoreSource', {
  extend: 'Ext.data.ChainedStore',
  source: 'DatastoreSource',
  // drill-down code expects 'load' to exist on all stores
  load: Ext.emptyFn,
  filters: {
    filterFn: function(item) {
      return item.data.isModifiable;
    }
  }
});
