/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/

/**
 * Datastore feature panel.
 *
 * @since 3.19
 */
Ext.define('NX.proui.view.datastore.DatastoreFeature', {
  extend: 'NX.view.drilldown.Drilldown',
  alias: 'widget.nx-proui-datastore-feature',
  requires: [
    'NX.I18n'
  ],

  /**
   * @override
   */
  initComponent: function() {
    Ext.apply(this, {
      iconName: 'datastore-default',

      masters: [
        { xtype: 'nx-proui-datastore-list' }
      ],

      tabs: { xtype: 'nx-proui-datastore-settings' },

      nxActions: [
        { xtype: 'button', text: NX.I18n.get('Datastore_DatastoreFeature_Delete_Button'), iconCls: 'x-fa fa-trash', action: 'delete', disabled: true }
      ]
    });

    this.callParent();
  }
});
