/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global Ext, NX*/

/**
 * Datastore grid.
 *
 * @since 3.19
 */
Ext.define('NX.proui.view.datastore.DatastoreList', {
  extend: 'NX.view.drilldown.Master',
  alias: 'widget.nx-proui-datastore-list',
  requires: [
    'NX.I18n'
  ],

  stateful: true,
  stateId: 'nx-proui-datastore-list',

  /**
   * @override
   */
  initComponent: function() {
    Ext.apply(this, {
      store: 'DatastoreConfiguration',

      columns: [
        {
          xtype: 'nx-iconcolumn',
          width: 36,
          iconVariant: 'x16',
          iconName: function () {
            return 'datastore-default';
          }
        },
        {header: NX.I18n.get('Datastore_DatastoreList_Name_Header'), dataIndex: 'name', stateId: 'name', flex: 1,  renderer: Ext.htmlEncode},
        {header: NX.I18n.get('Datastore_DatastoreList_Type_Header'), dataIndex: 'type', stateId: 'type'},
        {header: NX.I18n.get('Datastore_DatastoreList_Source_Header'), dataIndex: 'source', stateId: 'source'}
      ],

      viewConfig: {
        emptyText: NX.I18n.get('Datastore_DatastoreList_EmptyText'),
        deferEmptyText: false
      },

      dockedItems: [
        {
          xtype: 'nx-actions',
          items: [
            {
              xtype: 'button',
              text: NX.I18n.get('Datastore_DatastoreList_New_Button'),
              iconCls: 'x-fa fa-plus-circle',
              action: 'new',
              disabled: true
            }
          ]
        }
      ],

      plugins: [
        {ptype: 'gridfilterbox', emptyText: NX.I18n.get('Datastore_DatastoreList_Filter_EmptyText')}
      ]
    });

    this.callParent();
  }

});
